Downloads

Here you can find FreeLing versions from 2.1-stable upwards.

Starting from version 3.0, source packages include MSVC project files so you can compile the library natively in Windows.

A clear tutorial of how to install and use Windows binary packages for current and old versions can be found at  Ciarán Ó Duibhín web page.

You can also get a zipped snapshot of the latest development SVN version (please be patient: building the zipfile will take a while).
If you prefer to use a SVN client, point it to http://devel.cpl.upc.edu/freeling/svn/trunk.

Notes:

File Description Size Uploaded Downloads Component
FreeLing 3.1 stable, source code
FreeLing 3.1 stable for Windows. This package includes all required libraries, so this is all you need unless you want to compile FreeLing from source.
Binary libraries required by FreeLing 3.1 (libboost, libicu, and zlib). You only need this package if you want to compile FreeLing from source on Windows, and you DID NOT install the package freeling-3.1-win
FreeLing 3.1 stable for Ubuntu Quantal/Raring, and Debian Wheezy/Jessie 64bits
FreeLing 3.1 stable for Ubuntu Quantal/Raring, and Debian Wheezy/Jessie 32bits
FreeLing 3.1 stable for Ubuntu Precise 64bits
FreeLing 3.1 stable for Ubuntu Precise 32bits
FreeLing 3.1 stable for Ubuntu Lucid 64bits
FreeLing 3.1 stable for Ubuntu Lucid 32bits
Patch for freeling-3.0-win-fix.zip, solving some small problems with multobyte characters in dates.
FreeLing 3.0 stable for Windows - Fixed
FreeLing 3.0 stable, source code
FreeLing 3.0 stable for Debian "wheezy" and Ubuntu "quantal"
FreeLing 3.0 stable for Ubuntu "precise"
FreeLing 3.0 stable for Debian "squeeze" and Ubuntu "natty"
FreeLing 3.0 stable for Ubuntu lucid
FreeLing 2.2.2 stable, source code. (requires libfries-1.2.1 and libomlet-1.0.1). See Notes above
libfries 1.2.1 stable, source code.
Binary FreeLing 2.2 stable for Windows. Does not include data files (see Notes above).
Binary (64bits) for Ubuntu 10.04 Lucid
Binary (32 bits) for Ubuntu 10.04 Lucid
Binary (64bits) for Ubuntu (Hardy, Intrepid, Jaunty, Karmic) and Debian (Lenny)
Binary for Ubuntu (Hardy, Intrepid, Jaunty, Karmic) and Debian (Lenny)
FreeLing 2.2 stable, source code. (requires libfries-1.2 and libomlet-1.0.1)
libomlet 1.0.1 stable, source code.
libfries 1.2 stable, source code.
Binary (64bits) for Ubuntu (Hardy, Intrepid, Jaunty) and Debian (Lenny)
Binary for Ubuntu (Hardy, Intrepid, Jaunty) and Debian (Lenny)
libfries 1.1 stable
libomlet 1.0 stable
FreeLing 2.1 stable (requires libfries-1.1 and libomlet-1.0)